@mixin transform($value) {
  -webkit-transform: $value;
  -ms-transform: $value;
  transform: $value;
}

/*
	Document

*/

@mixin document($document-width-param: 305, $document-height-param: 372, $border-width: 10){

	$document-width:  #{$document-width-param}px;
	$document-height:  #{$document-height-param}px;
	.document{
		width: $document-width;
		height: $document-height;
		background-color: #48A3DE;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-around;
		color: #F5F8FA;
		text-decoration: none;
		position: relative;
		transition: .3s;

		&:hover{
			background-color: rgba(#48A3DE,.8);
			img{
				transform: rotateY(360deg);
			}
		}

		&:before {
		    content: '';
		    position: absolute;
		    top: -#{$border-width}px;
		    left: #{(.10 * $border-width) - $border-width}px;
		    border-left: solid #3f9ad5;
		    border-top: solid transparent;
		    border-bottom: solid transparent;
		    border-left-width: $document-width;
		    border-top-width: #{$border-width}px;
		    border-bottom-width: #{$border-width}px;
		}
		&:after {
		    content: '';
		    position: absolute;
		    top: -#{$border-width}px;
		    left: -#{$border-width}px;
		    border-top: solid #3087BF;
		    border-left: solid transparent;
		    border-right: solid transparent;
		    border-top-width: $document-height;
		    border-left-width: #{$border-width}px;
		    border-right-width: #{$border-width}px;
		    clip-path: polygon(100% 5%, 100% 100%, 0 100%, 0 0);
		}

		.title{
			font-family: 'Lato-Bold';
			font-size: 28px;
			letter-spacing: 1.4px;
			line-height: 33px;
			text-align: center;
			width: 90%;

		}
		img{
			// width: 50px;
			height: 65px;
			transition: .3s;
		}
		.date{
			font-family: 'Lato-Bold';
			font-size: 16px;
			letter-spacing: .8px;
			line-height: 27px;
			text-align: center;
		}
	}

	@each $width in $resposive-width{
	    @media screen and (max-width: #{$width}px){ 
			.document{
				$document-width:  #{unitary($width,$document-width-param)}px;
				$document-height:  #{unitary($width,$document-height-param)}px;
				@if($width >= 767){						
					$document-width:  #{unitary($width,$document-width-param)}px;
					$document-height:  #{unitary($width,$document-height-param)}px;

					width: $document-width;
					height: $document-height;
				}

				&:before {
				    @if($width >= 767){				    
					    top: -#{unitary($width,$border-width)}px;
					    left: -#{unitary($width, $border-width - 1)}px;		
					    border-left-width: $document-width;
					    border-top-width: #{unitary($width,$border-width)}px;
					    border-bottom-width: #{unitary($width,$border-width)}px;
					}
				}
				&:after {
				    @if($width >= 767){
					    top: -#{unitary($width,$border-width)}px;
					    left: -#{unitary($width,$border-width)}px;
					    border-top-width: $document-height;
					    border-left-width: #{unitary($width,$border-width)}px;
					    border-right-width: #{unitary($width,$border-width)}px;
					}
				    // clip-path: polygon(100% 5%, 100% 100%, 0 100%, 0 0);
				}

				.title{
					@if($width >= 767){
						font-size: #{unitary($width,28)}px;
						line-height: #{unitary($width,33)}px;
					}
					// letter-spacing: 1.4px;
				}
				img{
					// width: 50px;
					@if($width >= 767){
						height: #{unitary($width,65)}px;
					}
				}
				.date{
					@if($width >= 767){
						font-size: #{unitary($width,16)}px;
						line-height: #{unitary($width,27)}px;
					}
				}
			}
		}
	}
}